### Function

# Qmi MessageDmsRestoreFactoryDefaultsInput new

since: 1.0

#### Declaration [src]

    QmiMessageDmsRestoreFactoryDefaultsInput*
    qmi_message_dms_restore_factory_defaults_input_new (
      void
    )

#### Description [src]

Allocates a new `QmiMessageDmsRestoreFactoryDefaultsInput`.

Available since: 1.0

#### Return value

Type: `QmiMessageDmsRestoreFactoryDefaultsInput`

The newly created `QmiMessageDmsRestoreFactoryDefaultsInput`. The returned value should be freed with qmi_message_dms_restore_factory_defaults_input_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.